Package org.apache.batchee.tools.services.thread

## Class UserTransactionTransactionService

- java.lang.Object
- - org.apache.batchee.tools.services.thread.UserTransactionTransactionService

- All Implemented Interfaces:
    `BatchService`, `TransactionManagementService`

      public class UserTransactionTransactionService
      extends Object
      implements TransactionManagementService

  Implementation of the `TransactionManagementService` which controls the transaction via `UserTransaction`. This SPI implementation is useful on containers which do not properly expose a fully working global TransactionManager via the specced JNDI location (e.g. WebSphere 8.x). To activate this implementation just add the following lines to your batchee.properties file:

       TransactionManagementService=org.apache.batchee.tools.services.thread.UserTransactionTransactionService

  This SPI can only be used in conjunction with the `AsyncEjbBatchThreadPoolService`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UserTransactionTransactionService()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TransactionManagerAdapter` | `getTransactionManager​(javax.batch.runtime.context.StepContext stepContext)` |
    `void` | `init​(Properties batchConfig)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UserTransactionTransactionService

          public UserTransactionTransactionService()

  - ### Method Detail

    - #### init

          public void init​(Properties batchConfig)

      Specified by:
        `init` in interface `BatchService`

    - #### getTransactionManager

          public TransactionManagerAdapter getTransactionManager​(javax.batch.runtime.context.StepContext stepContext)

      Specified by:
        `getTransactionManager` in interface `TransactionManagementService`